#pragma once

#include <library/cpp/regex/pire/pire.h>
#include <util/generic/string.h>
#include <util/generic/vector.h>

class TDictFilter {
public:
    TDictFilter(const TVector<TString>& dicts);
    bool Reject(const TUtf16String& text) const;

private:
    TVector<NPire::TNonrelocScanner> Scanners;
};
